#if !defined(AFX_LEARNDLG_H__A569D363_F9AE_11D6_8686_0000E87713C4__INCLUDED_)
#define AFX_LEARNDLG_H__A569D363_F9AE_11D6_8686_0000E87713C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "OScopeCtrl.h"

#define GRAPH_BACK RGB(150,150,150)
#define GRAPH_GRID RGB(255,255,255)
#define GRAPH_PLOT RGB(0,255,0)

// LearnDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLearnDlg dialog

class LearnDlg : public COScopeCtrl  
{
   CWinThread *thread;
   static UINT LearnDlg::MyControllingFunction( LPVOID pParam );
   bool endDialog;

   CDialog *owner;

   UINT timer;

public:
	LearnDlg();
	virtual ~LearnDlg();

   void init( CDialog* dialog );
   void reset();
   void draw();

   void learn();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LEARNDLG_H__A569D363_F9AE_11D6_8686_0000E87713C4__INCLUDED_)
